/* latin-ext */
$font-path: '../assets/fonts/Nunito-VariableFont_wght.ttf';
$font-path-italic: '../assets/fonts/Nunito-Italic-VariableFont_wght.ttf.ttf';

/* latin-ext */
@font-face {
  font-family: $font-family-main;
  font-style: italic;
  font-weight: 200 1000;
  font-display: swap;
  src: url($font-path-italic) format('truetype');
  unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: $font-family-main;
  font-style: italic;
  font-weight: 200 1000;
  font-display: swap;
  src: url($font-path-italic) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* latin-ext */
@font-face {
  font-family: $font-family-main;
  font-style: normal;
  font-weight: 200 1000;
  font-display: swap;
  src: url($font-path) format('woff2');
  unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: $font-family-main;
  font-style: normal;
  font-weight: 200 1000;
  font-display: swap;
  src: url($font-path) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

html, body {
  font-family: $font-family-main, sans-serif;
  @apply font-normal text-gray-800;
}

h1 {
  @apply text-3xl font-extrabold;
  @screen lg {
    @apply text-5xl;
  }
}

h2 {
  @apply text-xl font-extrabold;
  @screen lg {
    @apply text-3xl;
  }
}

h3 {
  @apply text-lg font-semibold text-black;
  @screen lg {
    @apply text-xl;
  }
}

h4 {
  @apply text-sm font-bold;
  @screen lg {
    @apply text-sm;
  }
}

@layer tailwind-base {
  a {
    @apply text-primary-500 underline;
    &:hover, &:focus, &:active {
      @apply text-primary-600;
    }
  }
}
